Jump to content


Photo

KodiLite.v.4.0


  • Please log in to reply
33 replies to this topic

#1 pcd

  • Senior Member
  • 711 posts

+78
Good

Posted 22 November 2017 - 01:11

Hello Friends,

Plugin KodiLite version 4.0 is attached below. The purpose of the new version is to be able to use any working Kodi addon directly in KodiLite without change. Apart from generally available Kodi addons - there are also a large number of addons especially developed for KodiLite.

The following addon install methods are in 'Install addons' (green button on first screen) :-

1. Install from zip -install addon zip files (plugin, script or repository) in /tmp, /media/usb or /media/hdd

2. Install from KodiLite list (/KodiLite/adlist.txt) - KodiLite team tested addons are listed here

3. Install from User list (/KodiLite/useradlist.txt - please put the addon (plugin, script or repository) and the download link in the plugin file /KodiLite/useradlist.txt using the syntax :

addon-name###download-link###

4. Install from Kodi official repositories

5. Install from User repositories - first install your repo via method 1.

6. Install from Fusion

Please test with Kodi addons you are interested in and report any problems with log files e.log and error.log from folder /tmp and any crashlogs if available.
Problems are to be reported in this thread :-

KodiLite Discussion (addon errors, new addon requests etc.)

Thanks in advance for your interest in KodiLite.

Regards, pcd.

Attached Files



Re: KodiLite.v.4.0 #2 pcd

  • Senior Member
  • 711 posts

+78
Good

Posted 23 November 2017 - 18:05

List of currently tested Kodi addons :-

 

##### Movies ####
plugin.video.covenant
plugin.video.exodus
plugin.video.1080pmovies_gw
plugin.video.dandymedia
##### Audio ####
plugin.audio.iheart
##### Picture/Image ####
plugin.picture.bromix.break
##### Youtube & Co ####
plugin.video.youtube
plugin.video.dailymotion_com
##### Kids & Fun ####
plugin.video.disneyjunior
##### Sports ####
plugin.video.SportsDevil
##### TV & IPTV ####
plugin.video.iptvpandasat
plugin.video.iplayerwww
plugin.video.itv
plugin.video.ukturk
plugin.video.filmon.simple
plugin.video.Showbox
plugin.video.bhg.uktvplay
##### Adult(18+) Protect with Parental PIN ####
plugin.video.xxx-o-dus
plugin.video.uwc
plugin.video.AdultTV
plugin.video.adulthideout
plugin.video.pandasat18
plugin.video.camtubechat
plugin.video.b44
plugin.video.heavyr
plugin.video.Superzooi
plugin.video.twanza
plugin.video.wildfire2
##### International ####
---------------- Albanian ----------------
plugin.video.Azfilma-al
plugin.video.ckamekqyr
plugin.video.tvseriale
---------------- Arabic ----------------
plugin.video.3rbshow
plugin.video.4oof
plugin.video.addanime
plugin.video.aflamtube
plugin.video.alluc
plugin.video.arab-moviez.org
plugin.video.arablionz
plugin.video.ceraonline
---------------- French ----------------
plugin.video.vstream
---------------- German----------------
--- Most German addons Play with hlsplayer
--- Scripts needed for German addons---                                                                                                                           
script.module.libmediathek3
script.module.libarte
script.module.lib3sat
script.module.libard
script.module.libbr
script.module.libmdr
script.module.libwdr
script.module.libzdf
script.module.mediathekxmlservice
---addons---
plugin.video.artemediathek
plugin.video.3satmediathek
plugin.video.ardmediathek_de
plugin.video.brmediathek
plugin.video.mdrmediathek
plugin.video.sportschau
plugin.video.zdf_de_lite
plugin.video.xstream
plugin.video.zdf_de_2016
---------------- Italian ----------------
plugin.video.streamondemand
---------------- Nordic ----------------
plugin.video.nrk
plugin.video.svtplay
---------------- Spanish ----------------
plugin.video.cine
plugin.video.palantir
plugin.video.alfa
---See Tips for plugin.video.alfa
 

Regards, pcd.



Re: KodiLite.v.4.0 #3 zigzag

  • Senior Member
  • 146 posts

0
Neutral

Posted 28 November 2017 - 15:14

Hello pcd, 

 

We want to let you know that KodiLite 4.0 is absolutely perfect and one of the best plugins to use!

 

It has always been a brilliant plugin but now that you have created the new 4.0 version it is so so

much better!!!

 

It is great that now with your new version you are able to add any Kodi addons to work with KodiLite 4.0!!!

 

This has opened up so much more content that is possible to enjoy and we want to thank you for all your hard

work in the creation and update to KodiLite.

 

We highly recommend anyone who still hasn't installed KodiLite 4.0 to install it and see for themselves all the

new addons that can be accessed or requested to be created for use in KodiLite 4.0.

 

pcd, we have a few addons which we would like to ask if it is possible to create to be used in KodiLite 4.0 please:

 

http://hulu123.net/s...ollar man.html 

http://hulu123.net/s...e's angels.html

 

https://gostream.is/...iversary-21785/

 

 
 
Thanks again for everything that you do for KodiLite, pcd! 

Edited by zigzag, 28 November 2017 - 15:15.


Re: KodiLite.v.4.0 #4 Patje1986

  • Member
  • 1 posts

0
Neutral

Posted 28 November 2017 - 20:30

Ik heb kodidirect 4.0 geinstalleerd maar de plugins doen het totdat ik het menu ben en bv wil kijken films er zijn dan zegt ie

Fout! probeer een ander item OF verlaat log en / tmp / e.log en /tmp/error.log. The you tube addon werk perfect maar bij de rest zegt ie steeds fout ik heb een VU Nul wat moet ik doen alvst bedank 


Edited by Patje1986, 28 November 2017 - 20:31.


Re: KodiLite.v.4.0 #5 pcd

  • Senior Member
  • 711 posts

+78
Good

Posted 29 November 2017 - 11:17

Ik heb kodidirect 4.0 geinstalleerd maar de plugins doen het totdat ik het menu ben en bv wil kijken films er zijn dan zegt ie

Fout! probeer een ander item OF verlaat log en / tmp / e.log en /tmp/error.log. The you tube addon werk perfect maar bij de rest zegt ie steeds fout ik heb een VU Nul wat moet ik doen alvst bedank 

After you run the plugin - copy and post e.log and error.log from the tmp folder. Regards.



Re: KodiLite.v.4.0 #6 MMajoor

  • Member
  • 10 posts

+2
Neutral

Posted 1 December 2017 - 12:05

The problem not only occurs in nlhardwareinfo but also in cnet.podcast (and most likely many others).

In all cases it seems to be the Setinfo() which triggers the error:

 

  File "/usr/lib/enigma2/python/Plugins/Extensions/KodiLite/plugins/plugin.video.cnet.podcasts/default.py", line 265, in add_dir
    list_item.setInfo("mediatype", "video")
  File "/usr/lib/enigma2/python/Plugins/Extensions/KodiLite/scripts/script.module.main/lib/xbmcgui.py", line 239, in setInfo
    self.data.update(infoLabels)
ValueError: dictionary update sequence element #0 has length 1; 2 is required

 

Seems to be an invalid type of the second parameter or something ..

 

Since my knowledge of Python is basically non-existing, I can only give a solution here by modifying the plugin code. The 'real' solution should be in de KodiLite code obviously.

 

Solution (by modifying the plugin source):

#            list_item.setInfo("mediatype", "video")   -> replaced by next line
            list_item.setInfo("video", {"mediatype": "video"})



Re: KodiLite.v.4.0 #7 zigzag

  • Senior Member
  • 146 posts

0
Neutral

Posted 3 December 2017 - 13:10

KodiLite 4.0 is looking very very good pcd!

 

The list of addons created and able to be used in this 'must have' plugin is huge

and growing day by day so we want to say a big thank you for everything you

continuously do to keep KodiLite 4.0 working and enjoyable and interesting for

us all to use.



Re: KodiLite.v.4.0 #8 daveraver

  • Senior Member
  • 274 posts

+3
Neutral

Posted 6 December 2017 - 15:40

hi pcd, thanks for your great job. it would be possible to add the xtreme codes iptv addon or the old iptv program addon ?? thanks again...cheers

Enviat des del meu ALE-L21 usant Tapatalk

Re: KodiLite.v.4.0 #9 daveraver

  • Senior Member
  • 274 posts

+3
Neutral

Posted 6 December 2017 - 16:08

just one more thing. I am interested on use repository ddurdle's addons, gdrive and cloudstream. atached e.log and error.log on each addon. thank you
Attached File  error.logs.zip   4.25KB   10 downloads

Enviat des del meu ALE-L21 usant Tapatalk

Re: KodiLite.v.4.0 #10 daveraver

  • Senior Member
  • 274 posts

+3
Neutral

Posted 6 December 2017 - 16:14

hi pcd, thanks for your great job. it would be possible to add the xtreme codes iptv addon or the old iptv program addon ?? thanks again...cheers

Enviat des del meu ALE-L21 usant Tapatalk

I mean the old iptv player program addon where you could add any m3u file... you know.. thank you

Enviat des del meu ALE-L21 usant Tapatalk

Re: KodiLite.v.4.0 #11 pcd

  • Senior Member
  • 711 posts

+78
Good

Posted 16 December 2017 - 15:42

20171216

The following is a list of tested Kodi addons (links are in KodiLite first screen -> green button -> KodiLite List) :-

plugin.video.m3uplayer-1.0.3 - IPTV
plugin.video.worldcam-1.0.1 - IPTV
plugin.video.cnet.podcasts-1.1.5 - TV
plugin.video.raiyoyo.v1.0.1 - Italian

Adult 18+ :-
plugin.video.videodevil-1.7.175
plugin.video.Dclip-1.0.1
plugin.video.bossvideotube-1.0.0
plugin.video.justporno-1.0.0
plugin.video.spicytranny-1.0.1
plugin.video.thumbzilla-1.0.0
plugin.video.tubegals-1.0.0
plugin.video.search_porn-1.0.6

Regards, pcd.



Re: KodiLite.v.4.0 #12 satelitejack

  • Member
  • 16 posts

0
Neutral

Posted 25 December 2017 - 15:25

Hello all,

 

will this work on zgemma h2h box ?

 

i can instal kodilite but then ah have errors like missing script for example or de the box wil reboot with crash log.

 

Tnx



Re: KodiLite.v.4.0 #13 satelitejack

  • Member
  • 16 posts

0
Neutral

Posted 27 December 2017 - 22:00

Hello all,

 

will this work on zgemma h2h box ?

 

i can instal kodilite but then ah have errors like missing script for example or de the box wil reboot with crash log.

 

Tnx

 

This problem is solved for me now i can use Kodilite

 

i give it a try to see any streams ;)


Edited by satelitejack, 27 December 2017 - 22:00.


Re: KodiLite.v.4.0 #14 satelitejack

  • Member
  • 16 posts

0
Neutral

Posted 27 December 2017 - 23:08

Here in default-py sys.argv = ['/usr/lib/enigma2/python/Plugins/Extensions/KodiLite/plugins/plugin.video.covenant/default.py', '6', '?plugin://plugin.video.covenant/?action=tvshows&url=http%3A%2F%2Fwww.imdb.com%2Fsearch%2Ftitle%3Ftitle_type%3Dtv_series%2Cmini_series%26release_date%3D%2Cdate%5B0%5D%26genres%3Dcomedy%26sort%3Dmoviemeter%2Casc%26count%3D40%26start%3D1']
Here in default-py sys.argv B= ['plugin://plugin.video.covenant/', '6', '?action=tvshows&url=http%3A%2F%2Fwww.imdb.com%2Fsearch%2Ftitle%3Ftitle_type%3Dtv_series%2Cmini_series%26release_date%3D%2Cdate%5B0%5D%26genres%3Dcomedy%26sort%3Dmoviemeter%2Casc%26count%3D40%26start%3D1']

 

Error log ?
 



Re: KodiLite.v.4.0 #15 amine3900

  • Senior Member
  • 90 posts

0
Neutral

Posted 29 December 2017 - 21:29

please my friends help me

I can not install vstream

thank you



Re: KodiLite.v.4.0 #16 amine3900

  • Senior Member
  • 90 posts

0
Neutral

Posted 29 December 2017 - 21:30

please my friends help me
I can not install vstream
thank you .....


Re: KodiLite.v.4.0 #17 amine3900

  • Senior Member
  • 90 posts

0
Neutral

Posted 29 December 2017 - 22:52

vstream

 

error ! submit logs/tmp/e.log and /tmp/error.log.



Re: KodiLite.v.4.0 #18 amine3900

  • Senior Member
  • 90 posts

0
Neutral

Posted 30 December 2017 - 14:34

problem vstream

 

 

 

 

 

 

 

 

 

 

Attached Files


Edited by amine3900, 30 December 2017 - 14:35.


Re: KodiLite.v.4.0 #19 satelitejack

  • Member
  • 16 posts

0
Neutral

Posted 30 December 2017 - 21:18

vstream

 

error ! submit logs/tmp/e.log and /tmp/error.log.

 

I have the same error with other addons for example covenant ?



Re: KodiLite.v.4.0 #20 cargen

  • Senior Member
  • 92 posts

0
Neutral

Posted 11 January 2018 - 10:51

Hi,

Stream on demand plugin. Decoder is crashing with following error log

OpenPLi Enigma2 crash log crashdate=Thu Jan 11 09:49:22 2018 compiledate=Jan 8 2018 skin=PLi-FullNightHD/skin.xml sourcedate=2018-01-07 branch=release-6.1 rev=15ff886 component=Enigma2 stbmodel=solo2 stbmodel=dm8000 kernelcmdline=ubiroot rootflags=sync bmem=192M@64M bmem=256M@512M ubi.mtd=rootfs rootfstype=ubifs root=ubi0:rootfs nimsockets=NIM Socket 0: imageissue=openpli 6.1-release %h REMOVE Peer vusolo2 REMOVE Peer vusolo2 [eDVBPESReader] Created. Opening demux [eDVBPESReader] Created. Opening demux [eDVBPESReader] ERROR reading PES (fd=64): Value too large for defined data type [eDVBPESReader] ERROR reading PES (fd=64): Value too large for defined data type Traceback (most recent call last): File "/usr/lib/enigma2/python/Plugins/Extensions/KodiLite/plugin.py", line 897, in updateStatus self.action(" ") File "/usr/lib/enigma2/python/Plugins/Extensions/KodiLite/plugin.py", line 1210, in action self.tmppics = getpics(self.names, self.pics, self.tmpfold, self.picfold) File "/usr/lib/enigma2/python/Plugins/Extensions/KodiLite/plugin.py", line 323, in getpics f = urlopen(url) File "/usr/lib/python2.7/urllib2.py", line 154, in urlopen File "/usr/lib/python2.7/urllib2.py", line 435, in open File "/usr/lib/python2.7/urllib2.py", line 548, in http_response File "/usr/lib/python2.7/urllib2.py", line 473, in error File "/usr/lib/python2.7/urllib2.py", line 407, in _call_chain File "/usr/lib/python2.7/urllib2.py", line 556, in http_error_default urllib2.HTTPError: HTTP Error 403: Forbidden


Sent from my Moto G (4) using Tapatalk




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users